## cascading.flow.stream
Enum SpliceGate.Role

    java.lang.Object
      java.lang.Enum<SpliceGate.Role>
          cascading.flow.stream.SpliceGate.Role

All Implemented Interfaces:
  Serializable, Comparable<SpliceGate.Role>

Enclosing class:
  SpliceGate

    public static enum SpliceGate.Role

extends Enum<SpliceGate.Role>

Enum Constant Summary
`both`
`sink`
`source`

Method Summary
`static SpliceGate.Role` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SpliceGate.Role[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### sink

    public static final SpliceGate.Role sink

### source

    public static final SpliceGate.Role source

### both

    public static final SpliceGate.Role both

Method Detail

### values

    public static SpliceGate.Role[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SpliceGate.Role c : SpliceGate.Role.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SpliceGate.Role valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.